import 'package:flutter/material.dart';

Color darken(Color color, [double amount = .1]) {
  assert(amount >= 0 && amount <= 1);

  final hsl = HSLColor.fromColor(color);
  final hslDark = hsl.withLightness((hsl.lightness - amount).clamp(0.0, 1.0));

  return hslDark.toColor();
}

Color lighten(Color color, [double amount = .1]) {
  assert(amount >= 0 && amount <= 1);

  final hsl = HSLColor.fromColor(color);
  final hslLight = hsl.withLightness((hsl.lightness + amount).clamp(0.0, 1.0));

  return hslLight.toColor();
}

MaterialColor getColorFromString(color) {
  switch (color) {
    case 'red':
      return Colors.red;
      break;
    case 'pink':
      return Colors.pink;
      break;
    case 'purple':
      return Colors.purple;
      break;
    case 'deepPurple':
      return Colors.deepPurple;
      break;
    case 'indigo':
      return Colors.indigo;
      break;
    case 'blue':
      return Colors.blue;
      break;
    case 'lightBlue':
      return Colors.lightBlue;
      break;
    case 'cyan':
      return Colors.cyan;
      break;
    case 'teal':
      return Colors.teal;
      break;
    case 'green':
      return Colors.green;
      break;
    case 'lightGreen':
      return Colors.lightGreen;
      break;
    case 'lime':
      return Colors.lime;
      break;
    case 'yellow':
      return Colors.yellow;
      break;
    case 'amber':
      return Colors.amber;
      break;
    case 'orange':
      return Colors.orange;
      break;
    case 'deepOrange':
      return Colors.deepOrange;
      break;
    case 'brown':
      return Colors.brown;
      break;
    case 'blueGrey':
      return Colors.blueGrey;
      break;
    default:
      return Colors.grey;
  }
}
